summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTorsten Veller <tove@gentoo.org>2010-02-10 13:11:34 +0100
committerTorsten Veller <tove@gentoo.org>2010-02-10 13:11:34 +0100
commitab7aea559d7897e59a9c8ef369e26826e8c963ec (patch)
treeed8cc4cae257139b42669a26159cd8ee76744201 /eclass/perl-helper.eclass
parentAdd dev-perl/XML-Smart-1.6.9 (diff)
downloadperl-overlay-ab7aea559d7897e59a9c8ef369e26826e8c963ec.tar.gz
perl-overlay-ab7aea559d7897e59a9c8ef369e26826e8c963ec.tar.bz2
perl-overlay-ab7aea559d7897e59a9c8ef369e26826e8c963ec.zip
Sync LICENSE. EAPI=3
Diffstat (limited to 'eclass/perl-helper.eclass')
-rw-r--r--eclass/perl-helper.eclass44
1 files changed, 39 insertions, 5 deletions
diff --git a/eclass/perl-helper.eclass b/eclass/perl-helper.eclass
index b7a1b683b..ece24e5f4 100644
--- a/eclass/perl-helper.eclass
+++ b/eclass/perl-helper.eclass
@@ -20,14 +20,18 @@ perlinfo() {
fixlocalpod() {
debug-print-function $FUNCNAME "$@"
- find "${D}" -type f -name perllocal.pod -delete
- find "${D}" -depth -mindepth 1 -type d -empty -delete
+
+ fixperlprefix
+
+ find "${ED}" -type f -name perllocal.pod -delete
+ find "${ED}" -depth -mindepth 1 -type d -empty -delete
}
fixperlosxcrap() {
debug-print-function $FUNCNAME "$@"
# Remove "AppleDouble encoded Macintosh file"
+ local f
find "${S}" -type f -name "._*" -print0 | while read -rd '' f ; do
einfo "Removing AppleDouble encoded Macintosh file: ${f#${S}/}"
rm -f "${f}"
@@ -40,6 +44,18 @@ fixperlosxcrap() {
done
}
+fixperlmodulemanpages() {
+ debug-print-function $FUNCNAME "$@"
+
+ fixperlprefix
+
+ if [[ -d "${ED}"/usr/share/man ]] ; then
+# einfo "Cleaning out stray man files"
+ find "${ED}"/usr/share/man -type f -name "*.3pm" -delete
+ find "${ED}"/usr/share/man -depth -type d -empty -delete
+ fi
+}
+
fixperlpacklist() {
debug-print-function $FUNCNAME "$@"
@@ -53,7 +69,10 @@ fixperlpacklist() {
fixperltemppath() {
debug-print-function $FUNCNAME "$@"
- find "${D}" -type f -not -name '*.so' -print0 | while read -rd '' f ; do
+
+ fixperlprefix
+
+ find "${ED}" -type f -not -name '*.so' -print0 | while read -rd '' f ; do
if file "${f}" | grep -q -i " text" ; then
grep -q "${D}" "${f}" && ewarn "QA: File contains a temporary path ${f}"
sed -i -e "s:${D}:/:g" "${f}"
@@ -68,16 +87,18 @@ linkduallifescripts() {
return 0
fi
+ fixperlprefix
+
local i ff
if has "${EBUILD_PHASE:-none}" "postinst" "postrm" ; then
for i in "${DUALLIFESCRIPTS[@]}" ; do
alternatives_auto_makesym "/usr/bin/${i}" "/usr/bin/${i}-[0-9]*"
- ff=`echo "${ROOT}"/usr/share/man/man1/${i}-${PV}-${P}.1*`
+ ff=`echo "${EROOT}"/usr/share/man/man1/${i}-${PV}-${P}.1*`
ff=${ff##*.1}
alternatives_auto_makesym "/usr/share/man/man1/${i}.1${ff}" "/usr/share/man/man1/${i}-[0-9]*"
done
else
- pushd "${D}" > /dev/null
+ pushd "${ED}" > /dev/null
for i in $(find usr/bin -maxdepth 1 -type f 2>/dev/null) ; do
mv ${i}{,-${PV}-${P}} || die
DUALLIFESCRIPTS[${#DUALLIFESCRIPTS[*]}]=${i##*/}
@@ -88,3 +109,16 @@ linkduallifescripts() {
popd > /dev/null
fi
}
+
+fixperlprefix() {
+ debug-print-function $FUNCNAME "$@"
+ case ${EAPI:-0} in
+ 0|1|2)
+ if ! use prefix; then
+ EPREFIX=
+ ED=${D}
+ EROOT=${ROOT}
+ fi
+ ;;
+ esac
+}